MRWText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWContentListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MWAWTable.hxx"`
`#include "MRWParser.hxx"`
`#include "MRWText.hxx"`

## Classes

struct | MRWTextInternal::Font
| Internal: struct used to store the font of a MRWText. More...
struct | MRWTextInternal::Paragraph
| Internal: struct used to store the paragraph of a MRWText. More...
struct | MRWTextInternal::Paragraph::BorderFill
| small structure to store border/fills properties in MRWText More...
struct | MRWTextInternal::Zone
| Internal: struct used to store zone data of a MRWText. More...
struct | MRWTextInternal::Zone::Information
| struct used to keep the information of a small zone of MRWTextInternal::Zone More...
struct | MRWTextInternal::Table
| Internal: struct used to store the table of a MRWText. More...
struct | MRWTextInternal::Table::Row
| a table row of a MRWText More...
struct | MRWTextInternal::Table::Cell
| a table cell of a MRWText More...
struct | MRWTextInternal::State
| Internal: the state of a MRWText. More...

## Namespaces

| MRWTextInternal
| Internal: the structures of a MRWText.

## Functions

std::ostream & | MRWTextInternal::operator<< (std::ostream &o, Font const &font)
std::ostream & | MRWTextInternal::operator<< (std::ostream &o, Paragraph const &para)
std::ostream & | MRWTextInternal::operator<< (std::ostream &o, Paragraph::BorderFill const &fill)